Restaurer ses archives deb

Fermé
silent-hell
Messages postés
5
Date d'inscription
samedi 23 septembre 2006
Statut
Membre
Dernière intervention
24 septembre 2006
- 23 sept. 2006 à 18:54
silent-hell
Messages postés
5
Date d'inscription
samedi 23 septembre 2006
Statut
Membre
Dernière intervention
24 septembre 2006
- 23 sept. 2006 à 22:04
Bonjour à tous !

j'ai un problème d'installation massive d'archives .deb
Explication :

Distribution : kubuntu
interface apt : adept

Donc j'ai recemment réinstaller Linux suite à un crache
mais, j'ai récupéré dans /var/cache/apt/archives toutes les archives deb.

Je posséde juste un 56k et j'ai téléchargé chez un ami tout mes soft !
C'est pourquoi j'aimerais avoir une solution pour réinstaller par mes propres moyen
ces archives...

j'ai la possibilité d'installer avec un clic droit ou dpkg chaques archives...
non dépendantes !
or elles dépendent toutes les unes des autres sauf quelques une évidemment.
Ce qui rend une réinstallation très très fastidieuse (plus de 200archives).

j'ai tenter de m'en sortir avec un dpkg -i *
mais idems il ne gére pas les dépendances
(j'ai pas encore tenté avec une option de forçage)
y a t'il un risque ?

j'ai alors essaié de créer mon propre dépot localement en suivant ces conseils :

http://www.freetux.net/?2006/03/08/47-c … pot-ubuntu

apt-get update donne :

root@arkan-desktop:/home/arkan# apt-get update
Ign file: dapper-perso Release.gpg
Ign file: dapper-perso Release
Ign file: dapper-perso/main Packages
Reception de : 1 file: dapper Release.gpg [189B]
Reception de : 2 file: dapper Release [1124B]
Ign file: dapper/main Packages
Ign file: dapper/restricted Packages
1313o receptionnes en 0s (18,9ko/s)
Lecture des listes de paquets... Fait

je pense que c'est bon de ce côtés,
en tout cas la nouvelle entré dans la source list à l'air de marcher

Mais si je veux installer avec un apt-install une application complexe avec beaucoup de dépences :

apt-get install amsn
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
amsn est déjà la plus récente version disponible.
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
amsn: Dépend: tcltls mais il n'est pas installable
audacity: Dépend: libid3tag0 (>= 0.15.1b) mais il n'est pas installable
blender: Dépend: libsdl1.2debian (> 1.2.7+1.2.8) mais il n'est pas installable
cl-sdl: Dépend: libsdl1.2debian (> 1.2.7-0) mais il n'est pas installable
Dépend: libsdl1.2-dev mais il n'est pas installable
cl-sdl-ttf: Dépend: libsdl-ttf2.0-0 mais il n'est pas installable
Dépend: libsdl-ttf2.0-dev mais il n'est pas installable
________________________________

j'en coupe une grosse partie ou il continue à citer tous les paquets du rep !
____________________________________
smpeg-gtv: Dépend: libsdl1.2debian (> 1.2.7+1.2.8) mais il n'est pas installable
vlc: Dépend: libgsm1 (>= 1.0.10) mais il n'est pas installable
Dépend: libid3tag0 (>= 0.15.1b) mais il n'est pas installable
Dépend: vlc-plugin-alsa mais il n'est pas installable
wormux: Dépend: libsdl-ttf1.2 mais il n'est pas installable
Dépend: libsdl1.2debian (> 1.2.7+1.2.8) mais il n'est pas installable
x11proto-fixes-dev: Dépend: x11proto-xext-dev mais il n'est pas installable
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Donc pour lui c'est pas installable :,(

Alors un miracle pour rendre tout ça installable ???

Dernière prècision : evidemment les petits paquets qui dépendent de rien
veulent bien s'installer dans adept... Mais y'en a beaucoup ...
j'ai même pu faire mettre à jour grace à ma nouvelle source.

Alors, si vous avez lu mon message jusqu'au bout,
avec passion (ou même compassion), merci beaucoup !

et merci d'avance à l'aide que je recevrais parce que là je suis à cour d'idées...

1 réponse

silent-hell
Messages postés
5
Date d'inscription
samedi 23 septembre 2006
Statut
Membre
Dernière intervention
24 septembre 2006

23 sept. 2006 à 22:04
et bien j'ai trouvé tou seul :

j'étais persuadé que mes dépots étaient tous là mais même si je peux trouver plein de dépôts avec sdl lib machin y correspondent pas à ce que apt recherche !!!

je met un autre lien encore mieu pour créer son dépot:

http://www.libertysoft.tn.refer.org/article.php3?id_article=112

il met un petit script encore plus simple d'utilisation
donc la solution c'etait d'avoir toute ces archives et de créer son propre dépot local
0